UCP get order
GET
/ucp/orders/{id}UCP get order. A successful request returns HTTP 200 with the documented response body.
AuthorizationBearer <token>
OAuth2 access token issued by Ecomiq Auth.
In: header
Path Parameters
id*string
Unique identifier of the resource.
Header Parameters
x-Store-Domain*string
Store slug or configured domain that selects the UCP store context.
Length
1 <= length <= 253UCP-Agent*string
Agent profile binding in the form profile="https://agent.example/.well-known/ucp".
Length
1 <= lengthIdempotency-Key?string
Optional idempotency key for retry-safe UCP requests.
Length
1 <= length <= 300Response Body
application/json
application/problem+json
application/problem+json
curl -X GET "https://example.com/ucp/orders/7204558912004325301" \ -H "Authorization: Bearer <token>" \ -H "x-Store-Domain: my-store" \ -H "UCP-Agent: profile="https://agent.example/.well-known/ucp"" \ -H "Idempotency-Key: checkout-2026-0001"{ "ucp": { "version": "example", "status": "example", "capabilities": { "key": [ { "version": "example" } ] }, "payment_handlers": { "key": [ { "id": "7204558912004325301", "version": "example", "spec": "example", "schema": "example", "available_instruments": [ { "type": "example", "constraints": {} } ], "config": {} } ] } }, "id": "7204558912004325301", "checkout_id": "7204558912004325301", "permalink_url": "https://example.com/resource", "fulfillment": { "expectations": [ { "id": "7204558912004325301", "method_type": "example", "destination": { "extended_address": "example", "street_address": "example", "address_locality": "example", "address_region": "example", "address_country": "example", "postal_code": "example_code", "first_name": "Example resource", "last_name": "Example resource" }, "line_items": [ { "id": "7204558912004325301", "quantity": 1 } ], "description": "Example description.", "fulfillable_on": "example" } ], "events": [ { "id": "7204558912004325301", "occurred_at": "2026-08-01T15:30:00Z", "type": "example", "line_items": [ { "id": "7204558912004325301", "quantity": 1 } ], "tracking_number": "example", "tracking_url": "https://example.com/resource", "carrier": "example", "description": "Example description." } ] }, "currency": "PEN", "label": "example", "line_items": [ { "id": "7204558912004325301", "item": { "id": "7204558912004325301", "title": "Example title", "price": 1, "quantity_unit": { "unit": "example", "display_text": "example", "scale": 1, "increment": 1 }, "unit_price": { "amount": 1, "currency": "PEN", "measure": { "value": 1, "unit": "example", "display_text": "example", "scale": 1 }, "reference": { "value": 1, "unit": "example", "display_text": "example", "scale": 1 } }, "image_url": "https://example.com/resource" }, "quantity": { "total": 1, "fulfilled": 1, "original": 1 }, "status": "example", "totals": [ { "type": "example", "amount": 1, "display_text": "example", "lines": [ { "display_text": "example", "amount": 1 } ] } ], "parent_id": "7204558912004325301" } ]}